Skip to main content

List qtrees in an organization in NetApp Console local deployment

GET /organizations/{organization_id}/qtrees

Lists all qtrees in the specified organization.

Parameters

Name Type In Required Description

organization_id

string

path

True

Identifier for an organization.

count

string

query

False

Indicates if the total number of resources should be returned in the response object.

URL examples: "count=true"

OpenAPI examples: "true"

filter

string

query

False

Specifies which fields should be matched in order to return a resource when listing a collection.

Supported operators:

  • eq - Equality

  • lt/gt - Less than/greater than

  • lte/gte - Less than or equal to/greater than or equal to

URL example: "filter=field%20eq%20%27value%27"

OpenAPI examples: "field eq 'value'"

include

string

query

False

Specifies which fields should be returned when listing a collection.

URL examples: "include=id", "include=id,name"

OpenAPI examples: "id"

limit

string

query

False

Specifies the maximum number of resources to return when listing a collection.

URL examples: "limit=2"

OpenAPI examples: "2"

metadata

string

query

False

Indicates if the metadata should be returned in the response object.

URL examples: "metadata=true"

OpenAPI examples: "true"

orderBy

string

query

False

Indicates the sort order of resources when listing a collection.

URL examples: "orderBy=name", "orderBy=name%20desc"

OpenAPI examples: "name desc"

skip

string

query

False

Specifies the number of resources to skip when listing a collection.

URL examples: "skip=1"

OpenAPI examples: "1"

Response

Status: 200, OK
Name Type Required Description

count

integer

False

Total number of resources in the collection that match the query.

items

array[qtree_1.0_get_response_body]

True

Qtrees in the collection.

Example response
{
  "count": 2,
  "items": [
    {
      "cluster": {
        "id": "4c8d2919-ac4c-4ea7-bf7c-24863d4da94b",
        "name": "cluster-01"
      },
      "exportPolicy": {
        "id": 123,
        "name": "default"
      },
      "files": {
        "hardLimit": 100000,
        "softLimit": 80000,
        "usedPercent": 45
      },
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "metadata": {
        "modificationTimestamp": "2024-03-15T10:22:31.123456Z"
      },
      "name": "qtree-01",
      "organizationId": "16c07c0c-666b-4870-9363-764eef9e7160",
      "path": "/volume-01/qtree-01",
      "quotaType": "TREE",
      "space": {
        "hardLimit": 10737418240,
        "softLimit": 8589934592,
        "usedPercent": 30
      },
      "svm": {
        "id": "d1ddc65d-f7a2-4ca7-9847-5afd069a3dbe",
        "name": "svm-01"
      },
      "type": "application/vnd.netapp.bxp.qtree",
      "version": "1.0",
      "volume": {
        "id": "8e2f9d4c-6a5b-4f8e-a2d7-5c9e4f2a7b8d",
        "name": "volume-01"
      },
      "workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
    },
    {
      "cluster": {
        "id": "4c8d2919-ac4c-4ea7-bf7c-24863d4da94b",
        "name": "cluster-01"
      },
      "exportPolicy": {
        "id": 456,
        "name": "nfs-export"
      },
      "files": {
        "hardLimit": 200000,
        "softLimit": 160000,
        "usedPercent": 60
      },
      "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "metadata": {
        "modificationTimestamp": "2024-03-15T11:45:09.654321Z"
      },
      "name": "qtree-02",
      "organizationId": "16c07c0c-666b-4870-9363-764eef9e7160",
      "path": "/volume-02/qtree-02",
      "quotaType": "USER",
      "space": {
        "hardLimit": 21474836480,
        "softLimit": 17179869184,
        "usedPercent": 45
      },
      "svm": {
        "id": "a7f19b3e-42c6-4d1a-9f7e-8b2d3c4e5f6a",
        "name": "svm-02"
      },
      "type": "application/vnd.netapp.bxp.qtree",
      "userOrGroup": "jsmith",
      "version": "1.0",
      "volume": {
        "id": "3a6d9f2c-5e8b-4f4a-c7d1-8e5a3d6f9c2e",
        "name": "volume-02"
      },
      "workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
    }
  ]
}

Error

Status: 400, Bad request
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The supplied query parameters are invalid.",
  "status": "400",
  "title": "Invalid query parameters",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 401, Unauthorized
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request is missing the required bearer token.",
  "status": "401",
  "title": "Missing bearer token",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 403, Forbidden
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The requested operation isn't permitted.",
  "status": "403",
  "title": "Operation not permitted",
  "type": "https://bluexp.netapp.io/problems/11"
}

Definitions

See Definitions

cluster_1.0_reference

Reference to an ONTAP cluster.

Name Type Required Description

id

string

False

Identifier of the cluster.

name

string

False

Cluster name.

exportPolicy

Export policy applied to the qtree.

Name Type Required Description

id

integer

False

Identifier of the export policy.

name

string

False

Name of the export policy.

qtree_1.0_files

Name Type Required Description

hardLimit

integer

False

The maximum number of files (inodes) allowed in the qtree.

softLimit

integer

False

The soft limit on the number of files (inodes) in the qtree.

usedPercent

number

False

The percentage of the files hard limit currently used by the qtree.

common_1.0_inventory_metadata

Metadata associated with the resource.

Name Type Required Description

modificationTimestamp

string

False

Resource modification date.

qtree_1.0_space

Name Type Required Description

hardLimit

integer

False

The hard limit on disk space usage by the qtree, in bytes.

softLimit

integer

False

The soft limit on disk space usage by the qtree, in bytes.

usedPercent

number

False

The percentage of the disk hard limit currently used by the qtree.

svm_1.0_reference

Reference to an ONTAP SVM.

Name Type Required Description

id

string

False

Identifier of the SVM.

name

string

False

SVM name.

volume_1.0_reference

Reference to an ONTAP volume.

Name Type Required Description

id

string

False

Identifier of the volume.

name

string

False

Volume name.

qtree_1.0_get_response_body

Name Type Required Description

cluster

cluster_1.0_reference

False

Reference to an ONTAP cluster.

  • x-tag: Cluster

exportPolicy

exportPolicy

False

Export policy applied to the qtree.

files

qtree_1.0_files

False

id

string

False

Identifier of the qtree.

metadata

common_1.0_inventory_metadata

False

Metadata associated with the resource.

name

string

False

Qtree name.

organizationId

string

False

Identifier for an organization.

path

string

False

Client visible path to the qtree.

quotaType

string

False

The type of quota applied to the qtree. Defined values are:

  • "TREE" - Quota applies to the entire qtree.

  • "USER" - Quota applies to a specific user within the qtree.

  • "GROUP" - Quota applies to a specific group within the qtree.

space

qtree_1.0_space

False

svm

svm_1.0_reference

False

Reference to an ONTAP SVM.

  • x-tag: SVM

type

string

False

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.qtree"

userOrGroup

string

False

The name of the user or group the quota entry applies to. Populated when quotaType is USER or GROUP.

version

string

False

Version of the resource. Defined values are:

  • "1.0"

volume

volume_1.0_reference

False

Reference to an ONTAP volume.

  • x-tag: Volume

workingEnvironmentId

string

False

Identifier for the asset's system.

invalidParams

Name Type Required Description

name

string

True

Name of the invalid parameter.

reason

string

True

Reason why the parameter is invalid.